GET
/
order
/
buyer
/
orders
/
{id}
Get buyer order
curl --request GET \
  --url https://api.example.com/order/buyer/orders/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.example.com/order/buyer/orders/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.example.com/order/buyer/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "address": "<string>",
    "buyerID": "<string>",
    "confirmSessionID": "<string>",
    "confirm_session": {
      "currency": "<string>",
      "data": {},
      "dateCreated": "<string>",
      "dateExpired": "<string>",
      "datePaid": "<string>",
      "fromID": "<string>",
      "fxSnapshot": {},
      "id": "<string>",
      "kind": "<string>",
      "note": "<string>",
      "toID": "<string>",
      "totalAmount": 123
    },
    "confirmedByID": "<string>",
    "dateCreated": "<string>",
    "id": "<string>",
    "items": [
      {
        "accountID": "<string>",
        "address": "<string>",
        "cancelledByID": "<string>",
        "dateCancelled": "<string>",
        "dateCreated": "<string>",
        "id": 123,
        "image_url": "<string>",
        "note": "<string>",
        "orderID": "<string>",
        "paymentSessionID": "<string>",
        "payment_session": {
          "currency": "<string>",
          "data": {},
          "dateCreated": "<string>",
          "dateExpired": "<string>",
          "datePaid": "<string>",
          "fromID": "<string>",
          "fxSnapshot": {},
          "id": "<string>",
          "kind": "<string>",
          "note": "<string>",
          "toID": "<string>",
          "totalAmount": 123
        },
        "quantity": 123,
        "sellerID": "<string>",
        "serialIds": {},
        "skuID": "<string>",
        "skuName": "<string>",
        "slug": "<string>",
        "sourceCurrency": "<string>",
        "spuID": "<string>",
        "subtotalAmount": 123,
        "totalAmount": 123,
        "transportOption": "<string>"
      }
    ],
    "note": "<string>",
    "payout_session": {
      "currency": "<string>",
      "data": {},
      "dateCreated": "<string>",
      "dateExpired": "<string>",
      "datePaid": "<string>",
      "fromID": "<string>",
      "fxSnapshot": {},
      "id": "<string>",
      "kind": "<string>",
      "note": "<string>",
      "toID": "<string>",
      "totalAmount": 123
    },
    "sellerID": "<string>",
    "total_amount": 123,
    "transport": {
      "data": {},
      "dateCreated": "<string>",
      "id": 123,
      "option": "<string>",
      "status": "<string>"
    },
    "transportID": 123
  },
  "error": {
    "code": "<string>",
    "http_status": 123,
    "message": "<string>"
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

JWT access token. Format: "Bearer <token>".

Path Parameters

id
string
required

Order ID (UUID)

Response

OK

data
object
error
object